#%define debug_package %{nil}
%global framework dolphin
%global	git_commit 068c6e7
Name:           kf5-%{framework}
Version:        14.12.95~%{git_commit}
Release:        0
Summary:        Dolphin File Manager
License:        GPLv2+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         %{framework}-%{git_commit}.tar.bz2
#Source1:        kf5-dolphinsu.desktop
Patch0:         kf5-dolphin-go_up.patch
#Patch1:			kf5-keditbookmarks-soversion.patch
#Patch2:			kf5-konqueror-soversion.patch
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kinit-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-solid-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-knotifications-devel

BuildRequires:  phonon-qt5-devel
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-baloo-devel
BuildRequires:  kf5-baloo-widgets-devel
BuildRequires:  kf5-kfilemetadata-devel
#BuildRequires:  kf5-karchive-devel
#BuildRequires:  kf5-kconfigwidgets-devel
#BuildRequires:  kf5-kdesu-devel
#BuildRequires:  kf5-filesystem
#BuildRequires:  kf5-khtml-devel
#BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
#BuildRequires:  pkgconfig(zlib)
#Recommends:     kio_mtp5
#Requires:       kf5-libkonq = %{version}
#Requires:       kf5-dolphin = %{version}
#Requires:       kf5-kdepasswd = %{version}
#Requires:       kf5-kdialog = %{version}
#Requires:       kf5-kfind = %{version}
#Requires:		kf5-kded
#Requires:       libKF5Konq6 = %{version}
#BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDE File Manager

%package devel
Summary:	Development package for Dolphin
Group:		Development
#Requires:	kf5-libkonq = %{version}
#Requires:	libKF5Konq = %{version}

%description devel
Development package for Dolphin

%package -n kf5-dolphin-part
Summary:        KDE File Manager
Group:          Productivity/File utilities
#Requires:       kf5-libkonq = %{version}
Conflicts:      dolphin

%description -n kf5-dolphin-part
This package contains the libraries used by Dolphin and Konqueror.


%prep
%setup -q -n %{framework}
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#sed -i 's|KF5 CONFIG REQUIRED|KF5 REQUIRED COMPONENTS|g' CMakeLists.txt
#sed -i 's|KF5 CONFIG REQUIRED|KF5 REQUIRED COMPONENTS|g' konqueror/about/CMakeLists.txt
#sed -i 's|KF5 CONFIG REQUIRED|KF5 REQUIRED COMPONENTS|g' konqueror/CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}
#install -D -m 0644 %{SOURCE1} %{buildroot}%{_kf5_datadir}/applications
#rm -rfv %{buildroot}%{_kf5_libdir}/libdolphinprivate.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -n kf5-dolphin
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libkdeinit5_dolphin.so
%{_kf5_libdir}/libdolphinvcs.so.*
%{_kf5_bindir}/dolphin
%{_kf5_datadir}/applications/org.kde.dolphin.desktop
#%{_kf5_datadir}/applications/kf5-dolphinsu.desktop
%dir %{_kf5_datadir}/kxmlgui5
%dir %{_kf5_datadir}/kxmlgui5/dolphin
%{_kf5_datadir}/kxmlgui5/dolphin/dolphinui.rc
%dir %{_kf5_datadir}/appdata
%{_kf5_datadir}/appdata/dolphin.appdata.xml
%{_kf5_bindir}/servicemenuinstallation
%{_kf5_bindir}/servicemenudeinstallation
%doc %{_kf5_docdir}/HTML/en/dolphin/

%files -n kf5-dolphin-part
%defattr(-,root,root)
%doc COPYING* README
%dir %{_kf5_datadir}/kxmlgui5/dolphinpart
%{_kf5_libdir}/libdolphinprivate.so.*
%{_kf5_qtplugindir}/kcm_dolphin*.so
%{_kf5_qtplugindir}/dolphinpart.so
%{_kf5_datadir}/config.kcfg/dolphin_*.kcfg
%{_kf5_datadir}/kxmlgui5/dolphinpart/dolphinpart.rc
%{_kf5_datadir}/kservices5/dolphinpart.desktop
%{_kf5_datadir}/kservicetypes5/fileviewversioncontrolplugin.desktop
%{_kf5_datadir}/kservices5/kcmdolphinviewmodes.desktop
%{_kf5_datadir}/kservices5/kcmdolphinnavigation.desktop
%{_kf5_datadir}/kservices5/kcmdolphinservices.desktop
%{_kf5_datadir}/kservices5/kcmdolphingeneral.desktop
%config %{_kf5_sysconfdir}/xdg/servicemenu.knsrc

%files devel
%dir %{_includedir}/Dolphin
%dir %{_kf5_libdir}/cmake/DolphinVcs
%{_kf5_libdir}/libdolphinvcs.so
%{_kf5_libdir}/libdolphinprivate.so
%{_includedir}/Dolphin/*
%{_includedir}/dolphin_export.h
%{_kf5_libdir}/cmake/DolphinVcs/*


%changelog
* Sat Mar 14 2015 Rajeesh K V <rajeesh@inflo.ws> 14.12.95~068c6e7-0
- Initial KF5 build
